# These macros reflect the locations and user Apache is configured to
# run with and as on RHL 7.1.

# First, where documents are stored.  This affects where icons are placed.
%define contentdir /var/www

# Installation directories
%define mmdir /var/mailman
%define varmmdir /var/mailman
%define docdir /usr/share/doc/mailman-%{version}
%define logdir /var/log/mailman
%define queuedir /var/spool/mailman/qfiles
%define httpdconfdir /etc/httpd/conf.d
%define lockdir %{varmmdir}/locks
%define restart_flag %{lockdir}/restart-after-rpm-install

%define httpdconffile mailman.conf

# Now, the user and group the CGIs will expect to be run under.  This should
# match the user and group the web server is configured to run as.  The scripts
# will error out if they are invoked by any other user.
%define cgiuser    apache
%define cgigroup   apache

# Now, the user and group the scripts will actually execute as.
%define mmuser       mailman
%define mmuserid     41
%define mmgroup      mailman
%define mmgroupid    41

# Directory/File modes & permissions
%define dirmode 2775
%define exemode 2755

# Now, the groups your mail spoolers run as.  Sendmail uses 'mail'(12)
# and postfix used to use 'nobody', but now uses 'postfix'
%define mailgroup  "mail postfix mailman nobody"

# The mail wrapper program
%define mail_wrapper mailman

Summary: Mailing list manager with built in Web access.
Name: mailman
Version: 2.1.5.1
Release: 25.rhel3.4.XOS.1
Epoch: 3
Group: Applications/Internet
Source0: ftp://ftp.gnu.org/pub/gnu/mailman/mailman-%{version}.tgz
#Source0:  http://unc.dl.sourceforge.net/sourceforge/mailman/mailman-%{version}.tgz
Source1: mm_cfg.py
Source2: mailman-README.REDHAT
Source3: httpd-mailman.conf
Source4: mailman.logrotate
Source5: mailman.INSTALL.REDHAT.in
Patch0: mailman-2.1-config.patch
Patch1: mailman-2.1-multimail.patch
Patch2: mailman-2.1-permissions.patch
Patch3: mailman-2.1-mailmanctl-status.patch
Patch4: mailman-2.1.5-moderator-request.patch
Patch5: mailman-cron.patch
Patch6: mailman-2.1-CAN-2005-0202.patch
Patch7: mailman-2.1-CAN-2004-1177.patch
Patch10: mailman-2.1.5-date_overflows.patch
Patch11: mailman-2.1.5-date_overflows-post.patch

License: GPL
URL: http://www.list.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Prereq: shadow-utils, /sbin/chkconfig, /sbin/service
Requires: vixie-cron, webserver, python >= 2.2, mktemp
BuildPrereq: python-devel >= 2.2

%description 
Mailman is software to help manage email discussion lists, much like
Majordomo and Smartmail. Unlike most similar products, Mailman gives
each mailing list a webpage, and allows users to subscribe,
unsubscribe, etc. over the Web. Even the list manager can administer
his or her list entirely from the Web. Mailman also integrates most
things people want to do with mailing lists, including archiving, mail
<-> news gateways, and so on.

Documentation can be found in: %{docdir}

When the package has finished installing, you will need to perform some
additional installation steps, these are described in:
%{docdir}/INSTALL.REDHAT

%prep 
%setup -q 
%patch0 -p1 -b .config
%patch1 -p1 -b .multimail
%patch2 -p1 -b .permissions
%patch3 -p1 -b .status
%patch4 -p0 -b .moderator-request
%patch5 -p1 -b .cron
%patch6 -p1 -b .CAN-2005-0202
%patch7 -p1 -b .CAN-2004-1177
%patch10 -p1 -b .CVE-2005-3573

cp $RPM_SOURCE_DIR/mailman-README.REDHAT README.REDHAT
cp $RPM_SOURCE_DIR/mailman.INSTALL.REDHAT.in INSTALL.REDHAT.in

pushd misc
tar xzf email-2.5.5.tar.gz
popd

%patch11 -p1 -b .CVE-2005-3573-2

%build

CFLAGS="$RPM_OPT_FLAGS"; export CFLAGS
rm -f ./configure
aclocal
autoconf
./configure \
	--prefix=%{mmdir} \
	--with-var-prefix=%{varmmdir} \
	--with-python=%{__python} \
	--with-mail-gid=%{mailgroup} \
	--with-cgi-id=%{cgiuser} \
	--with-cgi-gid=%{cgigroup} \
	--with-mailhost=localhost.localdomain \
	--with-urlhost=localhost.localdomain \
	--without-permcheck

sed -e 's|@VAR_PREFIX@|%{varmmdir}|g' \
    -e 's|@prefix@|%{mmdir}|g' \
    -e 's|@LOG_DIR@|%{logdir}|g' \
    -e 's|@QUEUE_DIR@|%{queuedir}|g' \
    -e 's|@DOC_DIR@|%{docdir}|g' \
    -e 's|@HTTPD_CONF_DIR@|%{httpdconfdir}|g' \
    -e 's|@HTTPD_CONF_FILE@|%{httpdconffile}|g' \
    INSTALL.REDHAT.in > INSTALL.REDHAT

sed -e 's|@LOG_DIR@|%{logdir}|g' \
    -e 's|@QUEUE_DIR@|%{queuedir}|g' \
    -e 's|@DOC_DIR@|%{docdir}|g' \
    -e 's|@HTTPD_CONF_DIR@|%{httpdconfdir}|g' \
    -e 's|@HTTPD_CONF_FILE@|%{httpdconffile}|g' \
    %{SOURCE1} > Mailman/mm_cfg.py.dist

make
	
%install
rm -fr $RPM_BUILD_ROOT
# Normal install.
make install prefix=$RPM_BUILD_ROOT%{mmdir} var_prefix=$RPM_BUILD_ROOT%{varmmdir}

# Compile .pyc and .pyo
%{__python} -c "import compileall; compileall.compile_dir('$RPM_BUILD_ROOT%{varmmdir}', ddir='%{varmmdir}')"
%{__python} -O -c "import compileall; compileall.compile_dir('$RPM_BUILD_ROOT%{varmmdir}', ddir='%{varmmdir}')"

# Create directories we'll use for log and spool files.
install -m775 -d $RPM_BUILD_ROOT%{logdir}
install -m775 -d $RPM_BUILD_ROOT%{queuedir}

# Install the mailman init.d script
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install $RPM_BUILD_ROOT%{mmdir}/scripts/mailman $RPM_BUILD_ROOT/etc/rc.d/init.d/mailman

# Install the mailman cron.d script
mkdir -p $RPM_BUILD_ROOT/etc/cron.d
cat > $RPM_BUILD_ROOT/etc/cron.d/mailman <<EOF
# DO NOT EDIT THIS FILE!
#
# Contents of this file managed by /etc/init.d/mailman
# Master copy is %{mmdir}/cron/crontab.in
# Consult that file for documentation
EOF

# Copy the icons into the web server's icons directory.
mkdir -p $RPM_BUILD_ROOT%{contentdir}/icons
cp $RPM_BUILD_ROOT/%{mmdir}/icons/* $RPM_BUILD_ROOT%{contentdir}/icons

# Create a link to the wrapper in /etc/smrsh to allow sendmail to run it.
mkdir -p $RPM_BUILD_ROOT/etc/smrsh
ln -s ../..%{mmdir}/mail/%{mail_wrapper} $RPM_BUILD_ROOT/etc/smrsh

# Install a logrotate control file.
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
install -m644 $RPM_SOURCE_DIR/mailman.logrotate $RPM_BUILD_ROOT/etc/logrotate.d/mailman

# Install the httpd configuration file.
install -m755 -d $RPM_BUILD_ROOT%{httpdconfdir}
install -m644 /dev/null $RPM_BUILD_ROOT%{httpdconfdir}/%{httpdconffile}
sed -e 's|@VARMMDIR@|%{varmmdir}|g' -e 's|@MMDIR@|%{mmdir}|g' \
	$RPM_SOURCE_DIR/httpd-mailman.conf > \
	$RPM_BUILD_ROOT%{httpdconfdir}/%{httpdconffile}

# Install the documentation files
install -m755 -d $RPM_BUILD_ROOT%{docdir}
install -m644 $RPM_BUILD_DIR/${RPM_PACKAGE_NAME}-${RPM_PACKAGE_VERSION}/INSTALL.REDHAT   $RPM_BUILD_ROOT%{docdir}
install -m644 $RPM_BUILD_DIR/${RPM_PACKAGE_NAME}-${RPM_PACKAGE_VERSION}/ACKNOWLEDGMENTS  $RPM_BUILD_ROOT%{docdir}
install -m644 $RPM_BUILD_DIR/${RPM_PACKAGE_NAME}-${RPM_PACKAGE_VERSION}/FAQ              $RPM_BUILD_ROOT%{docdir}
install -m644 $RPM_BUILD_DIR/${RPM_PACKAGE_NAME}-${RPM_PACKAGE_VERSION}/NEWS             $RPM_BUILD_ROOT%{docdir}
install -m644 $RPM_BUILD_DIR/${RPM_PACKAGE_NAME}-${RPM_PACKAGE_VERSION}/README           $RPM_BUILD_ROOT%{docdir}
install -m644 $RPM_BUILD_DIR/${RPM_PACKAGE_NAME}-${RPM_PACKAGE_VERSION}/README.BSD       $RPM_BUILD_ROOT%{docdir}
install -m644 $RPM_BUILD_DIR/${RPM_PACKAGE_NAME}-${RPM_PACKAGE_VERSION}/README.CONTRIB   $RPM_BUILD_ROOT%{docdir}
install -m644 $RPM_BUILD_DIR/${RPM_PACKAGE_NAME}-${RPM_PACKAGE_VERSION}/README.EXIM      $RPM_BUILD_ROOT%{docdir}
install -m644 $RPM_BUILD_DIR/${RPM_PACKAGE_NAME}-${RPM_PACKAGE_VERSION}/README-I18N.en   $RPM_BUILD_ROOT%{docdir}
install -m644 $RPM_BUILD_DIR/${RPM_PACKAGE_NAME}-${RPM_PACKAGE_VERSION}/README.LINUX     $RPM_BUILD_ROOT%{docdir}
install -m644 $RPM_BUILD_DIR/${RPM_PACKAGE_NAME}-${RPM_PACKAGE_VERSION}/README.MACOSX    $RPM_BUILD_ROOT%{docdir}
install -m644 $RPM_BUILD_DIR/${RPM_PACKAGE_NAME}-${RPM_PACKAGE_VERSION}/README.NETSCAPE  $RPM_BUILD_ROOT%{docdir}
install -m644 $RPM_BUILD_DIR/${RPM_PACKAGE_NAME}-${RPM_PACKAGE_VERSION}/README.POSTFIX   $RPM_BUILD_ROOT%{docdir}
install -m644 $RPM_BUILD_DIR/${RPM_PACKAGE_NAME}-${RPM_PACKAGE_VERSION}/README.QMAIL     $RPM_BUILD_ROOT%{docdir}
install -m644 $RPM_BUILD_DIR/${RPM_PACKAGE_NAME}-${RPM_PACKAGE_VERSION}/README.SENDMAIL  $RPM_BUILD_ROOT%{docdir}
install -m644 $RPM_BUILD_DIR/${RPM_PACKAGE_NAME}-${RPM_PACKAGE_VERSION}/README.USERAGENT $RPM_BUILD_ROOT%{docdir}
install -m644 $RPM_BUILD_DIR/${RPM_PACKAGE_NAME}-${RPM_PACKAGE_VERSION}/STYLEGUIDE.txt   $RPM_BUILD_ROOT%{docdir}
install -m644 $RPM_BUILD_DIR/${RPM_PACKAGE_NAME}-${RPM_PACKAGE_VERSION}/UPGRADING        $RPM_BUILD_ROOT%{docdir}

install -m755 -d $RPM_BUILD_ROOT%{docdir}/contrib
for i in `ls $RPM_BUILD_DIR/${RPM_PACKAGE_NAME}-${RPM_PACKAGE_VERSION}/contrib`
do
  install -m644 $RPM_BUILD_DIR/${RPM_PACKAGE_NAME}-${RPM_PACKAGE_VERSION}/contrib/$i $RPM_BUILD_ROOT%{docdir}/contrib
done

# remove dir/files from $RPM_BUILD_ROOT that we aren't shipping
rm -rf $RPM_BUILD_ROOT%{varmmdir}/icons

# The file fblast confuses /usr/lib/rpm/find-requires because its an executable
# script file that does not have the interpreter as the first line, its not
# executable by itself so turn off its execute permissions
chmod 0644 $RPM_BUILD_ROOT/%{mmdir}/tests/fblast.py

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/files.%{name}

%pre

# Make sure the user "mailman" exists on this system and has the correct values
if grep -q "^mailman:" /etc/group 2> /dev/null ; then
  /usr/sbin/groupmod -g %{mmgroupid} -n %{mmgroup} %{mmgroup} 2> /dev/null || :
else
  /usr/sbin/groupadd -g %{mmgroupid} %{mmgroup} 2> /dev/null || :
fi
if grep -q "^mailman:" /etc/passwd 2> /dev/null ; then
  /usr/sbin/usermod -s /sbin/nologin -c "GNU Mailing List Manager" -d %{mmdir} -u %{mmuserid} -g %{mmgroupid}       %{mmuser} 2> /dev/null || :
else
  /usr/sbin/useradd -s /sbin/nologin -c "GNU Mailing List Manager" -d %{mmdir} -u %{mmuserid} -g %{mmgroupid} -M -r %{mmuser} 2> /dev/null || :
fi

# Mailman should never be running during an install, but a package upgrade
# shouldn't silently stop the service, so if mailman was running
# we'll leave a temp file in the lock directory as a flag so in
# the post install phase we can restart it.
if [ -d %{lockdir} ]; then
  rm -f %{restart_flag}
  /sbin/service mailman status >/dev/null 2>&1
  if [ $? -eq 0 ]; then
      touch %{restart_flag}
      /sbin/service mailman stop >/dev/null 2>&1
  fi
fi
# rpm should not abort if last command run had non-zero exit status, exit cleanly
exit 0

%post
# We no longer use crontab, but previous versions of the spec file did, so clean up
if [ -f /var/spool/cron/%{mmuser} ]; then
  crontab -u %{mmuser} -r
fi

# This adds the proper /etc/rc*.d links for the script that runs the mailman qrunner daemon
chkconfig --add mailman

# Restart mailman if it had been running before installation
if [ -e %{restart_flag} ]; then
  rm %{restart_flag}
  /sbin/service mailman start >/dev/null 2>&1
fi
# rpm should not abort if last command run had non-zero exit status, exit cleanly
exit 0

%preun

# if [ $1 = 0 ]' checks that this is the actual deinstallation of
# the package, as opposed to just removing the old package on upgrade.

if [ $1 = 0 ]; then
  # These statements stop the service, and remove the /etc/rc*.d links.
  /sbin/service mailman stop >/dev/null 2>&1
  /sbin/chkconfig --del mailman
fi
# rpm should not abort if last command run had non-zero exit status, exit cleanly
exit 0

%postun

if [ $1 = 0 ]; then
  crontab -u %{mmuser} -r
fi
# rpm should not abort if last command run had non-zero exit status, exit cleanly
exit 0

%files
%defattr(-,root,%{mmgroup})
%{mmdir}
%doc %{docdir}
%attr(0755,root,root) %{contentdir}/icons
%attr(0644, root, %{mmgroup}) %config(noreplace) %verify(not md5 size mtime) %{mmdir}/Mailman/mm_cfg.py
%config(noreplace) %{httpdconfdir}/%{httpdconffile}
/etc/logrotate.d/mailman
/etc/smrsh/%{mail_wrapper}
%attr(2775,root,%{mmgroup}) %{logdir}
%attr(2775,root,%{mmgroup}) %{queuedir}
%attr(0755,root,root) /etc/rc.d/init.d/mailman
%attr(0644,root,root) %verify(not md5,size,mtime) /etc/cron.d/mailman
%attr(0644,root,root) %config(noreplace) %{mmdir}/cron/crontab.in
%config(noreplace) %{mmdir}/templates

%changelog
* Fri Mar 24 2006 X/OS Linux Team <xoslinux@xos.nl> 3:2.1.5.1-25.rhel3.4.XOS.1
- Build for X/OS Linux 3.0.
- X/OS Linux source rpm based on mailman-2.1.5.1-25.rhel3.4.src.rpm
  (md5sum of original source rpm: f5d4951a169f2eb068d437e4fe4d1947).

* Thu Mar 02 2006 Harald Hoyer <harald@redhat.com> - 3:2.1.5.1-25.rhel3.4
- fixed fix for CVE-2005-3573

* Fri Feb 24 2006 Harald Hoyer <harald@redhat.com> - 3:2.1.5.1-25.rhel3.3
- fixed fix for CVE-2005-3573

* Tue Feb 21 2006 Harald Hoyer <harald@redhat.com> - 3:2.1.5.1-25.rhel3.2
- removed pseudo virus file from tarball

* Mon Dec 12 2005 Harald Hoyer <harald@redhat.com> - 3:2.1.5-25.rhel3.1
- fix for bug #173139 (CVE-2005-3573 Mailman Denial of Service)
- fix for bug #176089 (CVE-2005-4153 Mailman Denial of Service)

* Fri Feb 25 2005 John Dennis <jdennis@redhat.com> - 3:2.1.5-25.rhel3
- fix bug #147833, CAN-2004-1177

* Tue Feb  8 2005 John Dennis <jdennis@redhat.com> 3:2.1.5-24.rhel3
- lower case release tag, sooner or later I'll get the tag right :-)

* Tue Feb  8 2005 John Dennis <jdennis@redhat.com> - 3:2.1.5-24.RHEL3
- fix release tag

* Tue Feb  8 2005 John Dennis <jdennis@redhat.com> 3:2.1.5-25
- bump release for build

* Tue Feb  8 2005 John Dennis <jdennis@redhat.com> - 3:2.1.5-24
- fix security vulnerability CAN-2005-0202, errata RHSA-2005:136, bug #147342

* Wed Sep 15 2004 John Dennis <jdennis@redhat.com> 3:2.1.5-20
- build for RHEL-3 U4, from mainline

* Fri Sep 10 2004 John Dennis <jdennis@redhat.com> 3:2.1.5-19
- add il18n start/stop strings to init.d script

* Fri Sep 10 2004 John Dennis <jdennis@redhat.com> 3:2.1.5-18
- fix bug #89250, add condrestart
  also fix status return values in mailmanctl and init.d script

* Tue Sep  7 2004 John Dennis <jdennis@redhat.com> 3:2.1.5-17
- fix bug #120930, add contents of contrib to doc area

* Tue Sep  7 2004 John Dennis <jdennis@redhat.com> 3:2.1.5-16
- fix bug #121220, httpd config file tweaks
  add doc to INSTALL.REDHAT for selecting MTA

* Fri Sep  3 2004 John Dennis <jdennis@redhat.com> 3:2.1.5-15
- fix bug #117615, don't overwrite user modified templates on install
  made template directory "config noreplace"

* Thu Sep  2 2004 John Dennis <jdennis@redhat.com> 3:2.1.5-14
- add comments into the crontab files so users know the /etc/cron.d
  file is volitile and will edit the right file.
  Also make the master crontab file "config noreplace" so edits are preserved.

* Wed Sep  1 2004 John Dennis <jdennis@redhat.com> 3:2.1.5-13
- fix bug #124208, enable mailman cron jobs from init.d rather than during installation

* Tue Aug 31 2004 John Dennis <jdennis@redhat.com> 3:2.1.5-12
- fix bug #129920, cron jobs execute under wrong SELinux policy

* Mon Aug 30 2004 John Dennis <jdennis@redhat.com> 3:2.1.5-11
- remove all editing of aliases file in %pre and %post, fixes #bug 125651

* Mon Aug  9 2004 John Dennis <jdennis@redhat.com> 3:2.1.5-10
- fix bug #129492 and bug #120912
  stop using crontab to setup mailman's cron jobs,
  instead install cron script in /etc/cron.d

* Mon Aug  9 2004 John Dennis <jdennis@redhat.com> 3:2.1.5-9
- apply patch to elminate "-1 LISTNAME moderator request(s) waiting" messages
  problem desciption here:
  http://www.python.org/cgi-bin/faqw-mm.py?req=show&file=faq03.038.htp

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jun  9 2004 John Dennis <jdennis@redhat.com> - 3:2.1.5-7
- bump rev for rebuild

* Wed Jun  9 2004 John Dennis <jdennis@redhat.com> - 3:2.1.5-6
- fix bug in pre scriplet, last command had been "service mailman stop"
  which should have been harmless if mailman was not installed except
  that it left the exit status from the script as non-zero and rpm
  aborted the install.

* Wed Jun  9 2004 John Dennis <jdennis@redhat.com> - 3:2.1.5-5
- add status reporting to init.d control script
  stop mailman during an installation
  restart mailman if it had been running prior to installation

* Mon Jun  7 2004 John Dennis <jdennis@redhat.com> - 3:2.1.5-4
- back python prereq down to 2.2, should be sufficient

* Thu May 20 2004 John Dennis <jdennis@redhat.com> 3:2.1.5-3
- make python prereq be at least 2.3

* Tue May 18 2004 Jeremy Katz <katzj@redhat.com> 3:2.1.5-2
- rebuild 

* Mon May 17 2004 John Dennis <jdennis@redhat.com> 3:2.1.5-1
- bring up to latest 2.1.5 upstream release
  From Barry Warsaw: Mailman 2.1.5, a bug fix release that also
  contains new support for the Turkish language, and a few minor new
  features. Mailman 2.1.5 is a significant upgrade which should
  improve disk i/o performance, administrative overhead for discarding
  held spams, and the behavior of bouncing member disables.  This
  version also contains a fix for an exploit that could allow 3rd
  parties to retrieve member passwords.  It is thus highly recommended
  that all existing sitesupgrade to the latest version

* Tue May 04 2004 Warren Togami <wtogami@redhat.com> 3:2.1.4-4
- #105638 fix bytecompile and rpm -V
- postun /etc/postfix/aliases fix
- clean uninstall (no more empty dirs)
- #115378 RedirectMatch syntax fix

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Jan  9 2004 John Dennis <jdennis@finch.boston.redhat.com> 3:2.1.4-1
- upgrade to new upstream release 2.1.4
- fixes bugs 106349,112851,105367,91463

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed May  7 2003 John Dennis <jdennis@finch.boston.redhat.com>
- bring up to next upstream release 2.1.2

* Sun May 04 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- fix typo in post script: mmusr -> mmuser

* Thu Apr 24 2003 John Dennis <jdennis@finch.boston.redhat.com>
- fix bug 72004, 74483, 74484, 87856 - improper log rotation
- fix bug 88083 - mailman user/group needed to exist during build
- fix bug 88144 - wrong %file attributes on mm_cfg.py
- fix bug 89221 - mailman user not created on install
- fix bug 89250 - wrong pid file name in initscript

* Wed Mar 05 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- change to /etc/rc.d/init.d as in all other rpms

* Thu Feb 20 2003 John Dennis <jdennis@finch.boston.redhat.com>
- change mailman login shell from /bin/false to /sbin/nologin

* Fri Feb 14 2003 John Dennis <jdennis@finch.boston.redhat.com>
- bring package up to 2.1.1 release, add /usr/share/doc files

* Sat Feb 01 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- make the icon dir owned by root:root as in other rpms

* Fri Jan 31 2003 John Dennis <jdennis@finch.boston.redhat.com>
- various small tweaks to the spec file to make installation cleaner
- use %{__python} when compiling, redirect compile output to /dev/null,
- don't run update in %post, let the user do it, remove the .pyc files in %postun,
- add setting of MAILHOST and URLHOST to localhost.localdomain, don't let
- configure set them to the build machine.

* Mon Jan 27 2003 John Dennis <jdennis@finch.boston.redhat.com>
- add the cross site scripting (xss) security patch to version 2.1

* Fri Jan 24 2003 John Dennis <jdennis@finch.boston.redhat.com>
- do not start mailman service in %post

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jan 20 2003 John Dennis <jdennis@finch.boston.redhat.com>
- 1) remove config patch, mailmanctl was not the right file to install in init.d,
- it needed to be scripts/mailman
- 2) rename httpd-mailman.conf to mailman.conf, since the file now lives
- in httpd/conf.d directory the http prefix is redundant and inconsistent
- with the other file names in that directory.

* Tue Jan  7 2003 John Dennis <jdennis@finch.boston.redhat.com>
- Bring package up to date with current upstream source, 2.1
- Fix several install/packaging problems that were in upstream source
- Add multiple mail group functionality
- Fix syntax error in fblast.py
- Remove the forced setting of mail host and url host in mm_cfg.py

* Tue Nov 12 2002 Tim Powers <timp@redhat.com> 2.0.13-4
- remove files from $$RPM_BUILD_ROOT that we don't intent to ship

* Thu Aug 14 2002 Nalin Dahyabhai <nalin@redhat.com> 2.0.13-3
- set MAILHOST and WWWHOST in case the configure script can't figure out the
  local host name

* Fri Aug  2 2002 Nalin Dahyabhai <nalin@redhat.com> 2.0.13-2
- rebuild

* Fri Aug  2 2002 Nalin Dahyabhai <nalin@redhat.com> 2.0.13-1
- specify log files individually, per faq wizard
- update to 2.0.13

* Wed May 22 2002 Nalin Dahyabhai <nalin@redhat.com> 2.0.11-1
- update to 2.0.11

* Fri Apr  5 2002 Nalin Dahyabhai <nalin@redhat.com> 2.0.9-1
- include README.QMAIL in with the docs (#58887)
- include README.SENDMAIL and README.EXIM in with the docs
- use an included httpd.conf file instead of listing the configuration
  directives in the %%description, which due to specspo magic might look
  wrong sometimes (part of #51324)
- interpolate the DEFAULT_HOST_NAME value in mm.cfg into both the DEFAULT_URL
  and MAILMAN_OWNER (#57987)
- move logs to /var/log/mailman, qfiles to /var/spool/mailman, rotate
  logs in the log directory (#48724)
- raise exceptions when someone tries to set the admin address for a list
  to that of the admin alias (#61468)

* Thu Apr  4 2002 Nalin Dahyabhai <nalin@redhat.com>
- fix a default permissions problem in %{_var}/mailman/archives/private,
  reported by Johannes Erdfelt
- update to 2.0.9

* Tue Apr  2 2002 Nalin Dahyabhai <nalin@redhat.com>
- make the symlink in /etc/smrsh relative

* Tue Dec 11 2001 Nalin Dahyabhai <nalin@redhat.com> 2.0.8-1
- set FQDN and URL at build-time so that they won't be set to the host the
  RPM package is built on (#59177)

* Wed Nov 28 2001 Nalin Dahyabhai <nalin@redhat.com>
- update to 2.0.8

* Sat Nov 17 2001 Florian La Roche <Florian.LaRoche@redhat.de> 2.0.7-1
- update to 2.0.7

* Wed Jul 25 2001 Nalin Dahyabhai <nalin@redhat.com> 2.0.6-1
- update to 2.0.6

* Mon Jun 25 2001 Nalin Dahyabhai <nalin@redhat.com>
- code in default user/group names/IDs

* Wed May 30 2001 Nalin Dahyabhai <nalin@redhat.com>
- update to 2.0.5
- change the default hostname from localhost to localhost.localdomain in the
  default configuration
- chuck configuration file settings other than those dependent on the host name
  (the build system's host name is not a good default)  (#32337)

* Tue Mar 13 2001 Nalin Dahyabhai <nalin@redhat.com>
- update to 2.0.3

* Tue Mar  6 2001 Nalin Dahyabhai <nalin@redhat.com>
- update to 2.0.2

* Wed Feb 21 2001 Nalin Dahyabhai <nalin@redhat.com>
- patch from Barry Warsaw (via mailman-developers) to not die on
  broken Content-Type: headers

* Tue Jan  9 2001 Nalin Dahyabhai <nalin@redhat.com>
- update to 2.0.1

* Wed Dec  6 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 2.0 final release
- move the data to %{_var}

* Fri Oct 20 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to beta 6

* Thu Aug  3 2000 Nalin Dahyabhai <nalin@redhat.com>
- add note about adding FollowSymlinks so that archives work

* Wed Aug  2 2000 Nalin Dahyabhai <nalin@redhat.com>
- make the default owner root again so that root owns the docs
- update to 2.0beta5, which fixes a possible security vulnerability
- add smrsh symlink

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Wed Jul 19 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to beta4
- change uid/gid to apache.apache to match apache (#13593)
- properly recompile byte-compiled versions of the scripts (#13619)
- change mailman alias from root to postmaster

* Sat Jul  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to beta3
- drop bugs and arch patches (integrated into beta3)

* Tue Jun 27 2000 Nalin Dahyabhai <nalin@redhat.com>
- move web files to reside under %{contentdir}
- move files from /usr/share to %{_datadir}
- integrate spot-fixes from mailman lists via gnome.org

* Mon Jun 19 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild for Power Tools

* Wed May 23 2000 Nalin Dahyabhai <nalin@redhat.com>
- Update to 2.0beta2 to pick up security fixes.
- Change equires python to list >= 1.5.2

* Mon Nov  8 1999 Bernhard Rosenkrnzer <bero@redhat.com>
- 1.1

* Tue Sep 14 1999 Preston Brown <pbrown@redhat.com>
- 1.0 final.

* Tue Jun 15 1999 Preston Brown <pbrown@redhat.com>
- security fix for cookies
- moved to /usr/share/mailman

* Fri May 28 1999 Preston Brown <pbrown@redhat.com>
- fix up default values.

* Fri May 07 1999 Preston Brown <pbrown@redhat.com>
- modifications to install scripts

* Thu May 06 1999 Preston Brown <pbrown@redhat.com>
- initial RPM for SWS 3.0
